%define spectemplatedir %{_sysconfdir}/rpmdevtools/
%define ftcgtemplatedir %{_datadir}/fontconfig/templates/
%define rpmmacrodir     %{_sysconfdir}/rpm/

Name:    fontpackages
Version: 1.14
Release: 1%{?dist}
Summary: Common directory and macro definitions used by font packages

Group:     Development/System
# Mostly means the scriptlets inserted via this package do not change the
# license of the packages they're inserted in
License:   LGPLv3+
URL:       http://fedoraproject.org/wiki/fontpackages/
Source0:   http://fedorahosted.org/releases/f/o/%{name}/%{name}-%{version}.tar.bz2
BuildArch: noarch
BuildRoot: %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

%description
This package contains the basic directory layout, spec templates, rpm macros
and other materials used to create font packages.


%package filesystem
Summary: Directories used by font packages
Group:   User Interface/X
License: Public Domain

%description filesystem
This package contains the basic directory layout used by font packages,
including the correct permissions for the directories.


%package devel
Summary: Templates and macros used to create font packages
Group:   User Interface/X

Requires:  rpmdevtools, %{name}-filesystem = %{version}-%{release}

%description devel
This package contains spec templates, rpm macros and other materials used to
create font packages.


%prep
%setup -q


%build


%install
rm -fr %{buildroot}

# Pull macros out of macros.fonts and emulate them during install
for dir in fontbasedir        fontconfig_masterdir \
           fontconfig_confdir fontconfig_templatedir ; do
  export _${dir}=$(rpm --eval $(%{__grep} -E "^%_${dir}\b" \
    macros/macros.fonts | %{__awk} '{ print $2 }'))
done

install -m 0755 -d %{buildroot}${_fontbasedir} \
                   %{buildroot}${_fontconfig_masterdir} \
                   %{buildroot}${_fontconfig_confdir} \
                   %{buildroot}${_fontconfig_templatedir} \
                   %{buildroot}%{spectemplatedir} \
                   %{buildroot}%{rpmmacrodir} \
                   %{buildroot}%{_datadir}/fontconfig/templates
install -m 0644 -p spec-templates/*.spec  %{buildroot}%{spectemplatedir}
install -m 0644 -p fontconfig-templates/* %{buildroot}%{ftcgtemplatedir}
install -m 0644 -p macros/macros*         %{buildroot}%{rpmmacrodir}

cat <<EOF > %{name}-%{version}.files
%defattr(0644,root,root,0755)
%dir ${_fontbasedir}
%dir ${_fontconfig_masterdir}
%dir ${_fontconfig_confdir}
%dir ${_fontconfig_templatedir}
EOF

%clean
rm -fr %{buildroot}


%files filesystem -f %{name}-%{version}.files
%defattr(0644,root,root,0755)
%dir %{_datadir}/fontconfig


%files devel
%defattr(0644,root,root,0755)
%doc license.txt readme.txt
%config(noreplace) %{spectemplatedir}/*.spec
%config(noreplace) %{rpmmacrodir}/macros*
%dir %{ftcgtemplatedir}
%{ftcgtemplatedir}/*


%changelog
* Wed Jan 14 2009 Nicolas Mailhot <nim at fedoraproject dot org>
- 1.13-1
➽ Update for subpackage naming changes requested by FPC

* Mon Dec 22 2008 Nicolas Mailhot <nim at fedoraproject dot org>
- 1.13-1
⟃ Add another directory to avoid depending on unowned stuff
❤ use it to put the fontconfig examples in a better place

* Sun Dec 21 2008 Nicolas Mailhot <nim at fedoraproject dot org>
- 1.12-2
⌂ Change homepage

* Fri Dec 19 2008 Nicolas Mailhot <nim at fedoraproject dot org>
- 1.12-1
☺ Add another macro to allow building fontconfig without cycling

* Wed Dec 10 2008 Nicolas Mailhot <nim at fedoraproject dot org>
- 1.11-1
☺ Add actual fedorahosted references

* Sun Nov 23 2008 Nicolas Mailhot <nim at fedoraproject dot org>
- 1.10-1
☺ renamed to “fontpackages”

* Fri Nov 14 2008 Nicolas Mailhot <nim at fedoraproject dot org>
- 1.9-1
☺ fix and complete fontconfig doc
- 1.8-1
☺ simplify multi spec template: codify general case
- 1.7-1
☺ split fontconfig template documentation is separate files
- 1.6-1
☺ simplify spec templates
- 1.5-1
☺ use ".conf" extension for fontconfig templates
- 1.4-1
☺ small multi spec template fix

* Wed Nov 12 2008 Nicolas Mailhot <nim at fedoraproject dot org>
- 1.3-1
☺ remove trailing slashes in directory macros

* Tue Nov 11 2008 Nicolas Mailhot <nim at fedoraproject dot org>
- 1.2-1
☺ add fontconfig templates
☺ fix a few typos

* Mon Nov 10 2008 Nicolas Mailhot <nim at fedoraproject dot org>
- 1.0-1
☺ initial release
